---
title: Zone Transfers
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[DNS](https://developers.cloudflare.com/api/typescript/resources/dns)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Zone Transfers

#### Zone TransfersForce AXFR

##### [Force AXFR](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/force_axfr/methods/create)

client.dns.zoneTransfers.forceAXFR.create(ForceAXFRCreateParams {zone\_id } params, RequestOptionsoptions?): [ForceAXFR](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.force_axfr%20%3E%20(model)%20force_axfr%20%3E%20(schema)>)

POST/zones/{zone\_id}/secondary\_dns/force\_axfr

##### ModelsExpand Collapse

ForceAXFR = string

When force\_axfr query parameter is set to true, the response is a simple string.

[Link to this property](<#(resource)%20dns.zone_transfers.force_axfr%20%3E%20(model)%20force_axfr%20%3E%20(schema)>)

#### Zone TransfersIncoming

##### [Secondary Zone Configuration Details](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/incoming/methods/get)

client.dns.zoneTransfers.incoming.get(IncomingGetParams {zone\_id } params, RequestOptionsoptions?): [IncomingGetResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)>) {id, auto\_refresh\_seconds, checked\_time, 5 more }

GET/zones/{zone\_id}/secondary\_dns/incoming

##### [Create Secondary Zone Configuration](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/incoming/methods/create)

client.dns.zoneTransfers.incoming.create(IncomingCreateParams {zone\_id, auto\_refresh\_seconds, name, peers } params, RequestOptionsoptions?): [IncomingCreateResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)>) {id, auto\_refresh\_seconds, checked\_time, 5 more }

POST/zones/{zone\_id}/secondary\_dns/incoming

##### [Update Secondary Zone Configuration](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/incoming/methods/update)

client.dns.zoneTransfers.incoming.update(IncomingUpdateParams {zone\_id, auto\_refresh\_seconds, name, peers } params, RequestOptionsoptions?): [IncomingUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)>) {id, auto\_refresh\_seconds, checked\_time, 5 more }

PUT/zones/{zone\_id}/secondary\_dns/incoming

##### [Delete Secondary Zone Configuration](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/incoming/methods/delete)

client.dns.zoneTransfers.incoming.delete(IncomingDeleteParams {zone\_id } params, RequestOptionsoptions?): [IncomingDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_delete_response%20%3E%20(schema)>) {id }

DELETE/zones/{zone\_id}/secondary\_dns/incoming

##### ModelsExpand Collapse

<details>

<summary>

Incoming {id, auto\_refresh\_seconds, checked\_time, 5 more }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

auto\_refresh\_seconds?: number

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20auto_refresh_seconds">Link to this property</a>

checked\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

created\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

modified\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20modified_time">Link to this property</a>

name?: string

Zone name.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

peers?: Array&lt;string&gt;

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

soa\_serial?: number

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)>)

<details>

<summary>

IncomingGetResponse {id, auto\_refresh\_seconds, checked\_time, 5 more }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

auto\_refresh\_seconds?: number

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)%20%3E%20(property)%20auto_refresh_seconds">Link to this property</a>

checked\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

created\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

modified\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)%20%3E%20(property)%20modified_time">Link to this property</a>

name?: string

Zone name.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

peers?: Array&lt;string&gt;

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

soa\_serial?: number

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_get_response%20%3E%20(schema)>)

<details>

<summary>

IncomingCreateResponse {id, auto\_refresh\_seconds, checked\_time, 5 more }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

auto\_refresh\_seconds?: number

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)%20%3E%20(property)%20auto_refresh_seconds">Link to this property</a>

checked\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

created\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

modified\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)%20%3E%20(property)%20modified_time">Link to this property</a>

name?: string

Zone name.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

peers?: Array&lt;string&gt;

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

soa\_serial?: number

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_create_response%20%3E%20(schema)>)

<details>

<summary>

IncomingUpdateResponse {id, auto\_refresh\_seconds, checked\_time, 5 more }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

auto\_refresh\_seconds?: number

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)%20%3E%20(property)%20auto_refresh_seconds">Link to this property</a>

checked\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

created\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

modified\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_time">Link to this property</a>

name?: string

Zone name.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

peers?: Array&lt;string&gt;

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

soa\_serial?: number

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_update_response%20%3E%20(schema)>)

<details>

<summary>

IncomingDeleteResponse {id }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming_delete_response%20%3E%20(schema)>)

#### Zone TransfersOutgoing

##### [Primary Zone Configuration Details](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/get)

client.dns.zoneTransfers.outgoing.get(OutgoingGetParams {zone\_id } params, RequestOptionsoptions?): [OutgoingGetResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)>) {id, checked\_time, created\_time, 4 more }

GET/zones/{zone\_id}/secondary\_dns/outgoing

##### [Create Primary Zone Configuration](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/create)

client.dns.zoneTransfers.outgoing.create(OutgoingCreateParams {zone\_id, name, peers } params, RequestOptionsoptions?): [OutgoingCreateResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)>) {id, checked\_time, created\_time, 4 more }

POST/zones/{zone\_id}/secondary\_dns/outgoing

##### [Update Primary Zone Configuration](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/update)

client.dns.zoneTransfers.outgoing.update(OutgoingUpdateParams {zone\_id, name, peers } params, RequestOptionsoptions?): [OutgoingUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)>) {id, checked\_time, created\_time, 4 more }

PUT/zones/{zone\_id}/secondary\_dns/outgoing

##### [Delete Primary Zone Configuration](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/delete)

client.dns.zoneTransfers.outgoing.delete(OutgoingDeleteParams {zone\_id } params, RequestOptionsoptions?): [OutgoingDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_delete_response%20%3E%20(schema)>) {id }

DELETE/zones/{zone\_id}/secondary\_dns/outgoing

##### [Disable Outgoing Zone Transfers](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/disable)

client.dns.zoneTransfers.outgoing.disable(OutgoingDisableParams {zone\_id } params, RequestOptionsoptions?): [DisableTransfer](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20disable_transfer%20%3E%20(schema)>)

POST/zones/{zone\_id}/secondary\_dns/outgoing/disable

##### [Enable Outgoing Zone Transfers](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/enable)

client.dns.zoneTransfers.outgoing.enable(OutgoingEnableParams {zone\_id } params, RequestOptionsoptions?): [EnableTransfer](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20enable_transfer%20%3E%20(schema)>)

POST/zones/{zone\_id}/secondary\_dns/outgoing/enable

##### [Force DNS NOTIFY](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/force_notify)

client.dns.zoneTransfers.outgoing.forceNotify(OutgoingForceNotifyParams {zone\_id } params, RequestOptionsoptions?): [OutgoingForceNotifyResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_force_notify_response%20%3E%20(schema)>)

POST/zones/{zone\_id}/secondary\_dns/outgoing/force\_notify

##### ModelsExpand Collapse

DisableTransfer = string

The zone transfer status of a primary zone.

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20disable_transfer%20%3E%20(schema)>)

EnableTransfer = string

The zone transfer status of a primary zone.

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20enable_transfer%20%3E%20(schema)>)

<details>

<summary>

Outgoing {id, checked\_time, created\_time, 4 more }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

checked\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

created\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

last\_transferred\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20last_transferred_time">Link to this property</a>

name?: string

Zone name.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

peers?: Array&lt;string&gt;

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

soa\_serial?: number

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)>)

OutgoingStatus = string| null

The zone transfer status of a primary zone.

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_status%20%3E%20(schema)>)

<details>

<summary>

OutgoingGetResponse {id, checked\_time, created\_time, 4 more }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

checked\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

created\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

last\_transferred\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)%20%3E%20(property)%20last_transferred_time">Link to this property</a>

name?: string

Zone name.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

peers?: Array&lt;string&gt;

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

soa\_serial?: number

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_get_response%20%3E%20(schema)>)

<details>

<summary>

OutgoingCreateResponse {id, checked\_time, created\_time, 4 more }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

checked\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

created\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

last\_transferred\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)%20%3E%20(property)%20last_transferred_time">Link to this property</a>

name?: string

Zone name.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

peers?: Array&lt;string&gt;

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

soa\_serial?: number

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_create_response%20%3E%20(schema)>)

<details>

<summary>

OutgoingUpdateResponse {id, checked\_time, created\_time, 4 more }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

checked\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

created\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

last\_transferred\_time?: string

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)%20%3E%20(property)%20last_transferred_time">Link to this property</a>

name?: string

Zone name.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

peers?: Array&lt;string&gt;

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

soa\_serial?: number

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_update_response%20%3E%20(schema)>)

<details>

<summary>

OutgoingDeleteResponse {id }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_delete_response%20%3E%20(schema)>)

OutgoingForceNotifyResponse = string

When force\_notify query parameter is set to true, the response is a simple string.

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_force_notify_response%20%3E%20(schema)>)

#### Zone TransfersOutgoingStatus

##### [Get Outgoing Zone Transfer Status](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/outgoing/subresources/status/methods/get)

client.dns.zoneTransfers.outgoing.status.get(StatusGetParams {zone\_id } params, RequestOptionsoptions?): [EnableTransfer](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20enable_transfer%20%3E%20(schema)>)

GET/zones/{zone\_id}/secondary\_dns/outgoing/status

#### Zone TransfersACLs

##### [List ACLs](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/acls/methods/list)

client.dns.zoneTransfers.acls.list(ACLListParams {account\_id } params, RequestOptionsoptions?): SinglePage< [ACL](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>) {id, ip\_range, name } >

GET/accounts/{account\_id}/secondary\_dns/acls

##### [ACL Details](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/acls/methods/get)

client.dns.zoneTransfers.acls.get(stringaclID, ACLGetParams {account\_id } params, RequestOptionsoptions?): [ACL](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>) {id, ip\_range, name }

GET/accounts/{account\_id}/secondary\_dns/acls/{acl\_id}

##### [Create ACL](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/acls/methods/create)

client.dns.zoneTransfers.acls.create(ACLCreateParams {account\_id, ip\_range, name } params, RequestOptionsoptions?): [ACL](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>) {id, ip\_range, name }

POST/accounts/{account\_id}/secondary\_dns/acls

##### [Update ACL](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/acls/methods/update)

client.dns.zoneTransfers.acls.update(stringaclID, ACLUpdateParams {account\_id, ip\_range, name } params, RequestOptionsoptions?): [ACL](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>) {id, ip\_range, name }

PUT/accounts/{account\_id}/secondary\_dns/acls/{acl\_id}

##### [Delete ACL](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/acls/methods/delete)

client.dns.zoneTransfers.acls.delete(stringaclID, ACLDeleteParams {account\_id } params, RequestOptionsoptions?): [ACLDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl_delete_response%20%3E%20(schema)>) {id }

DELETE/accounts/{account\_id}/secondary\_dns/acls/{acl\_id}

##### ModelsExpand Collapse

<details>

<summary>

ACL {id, ip\_range, name }

</summary>

id: string

<a href="#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

ip\_range: string

Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively.

<a href="#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)%20%3E%20(property)%20ip_range">Link to this property</a>

name: string

The name of the acl.

<a href="#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>)

<details>

<summary>

ACLDeleteResponse {id }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl_delete_response%20%3E%20(schema)>)

#### Zone TransfersPeers

##### [List Peers](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/peers/methods/list)

client.dns.zoneTransfers.peers.list(PeerListParams {account\_id } params, RequestOptionsoptions?): SinglePage< [Peer](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>) {id, name, ip, 3 more } >

GET/accounts/{account\_id}/secondary\_dns/peers

##### [Peer Details](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/peers/methods/get)

client.dns.zoneTransfers.peers.get(stringpeerID, PeerGetParams {account\_id } params, RequestOptionsoptions?): [Peer](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>) {id, name, ip, 3 more }

GET/accounts/{account\_id}/secondary\_dns/peers/{peer\_id}

##### [Create Peer](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/peers/methods/create)

client.dns.zoneTransfers.peers.create(PeerCreateParams {account\_id, name } params, RequestOptionsoptions?): [Peer](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>) {id, name, ip, 3 more }

POST/accounts/{account\_id}/secondary\_dns/peers

##### [Update Peer](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/peers/methods/update)

client.dns.zoneTransfers.peers.update(stringpeerID, PeerUpdateParams {account\_id, name, ip, 3 more } params, RequestOptionsoptions?): [Peer](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>) {id, name, ip, 3 more }

PUT/accounts/{account\_id}/secondary\_dns/peers/{peer\_id}

##### [Delete Peer](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/peers/methods/delete)

client.dns.zoneTransfers.peers.delete(stringpeerID, PeerDeleteParams {account\_id } params, RequestOptionsoptions?): [PeerDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer_delete_response%20%3E%20(schema)>) {id }

DELETE/accounts/{account\_id}/secondary\_dns/peers/{peer\_id}

##### ModelsExpand Collapse

<details>

<summary>

Peer {id, name, ip, 3 more }

</summary>

id: string

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

name: string

The name of the peer.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

ip?: string

IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20ip">Link to this property</a>

ixfr\_enable?: boolean

Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20ixfr_enable">Link to this property</a>

port?: number

DNS port of primary or secondary nameserver, depending on what zone this peer is linked to.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20port">Link to this property</a>

tsig\_id?: string

TSIG authentication will be used for zone transfer if configured.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20tsig_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>)

<details>

<summary>

PeerDeleteResponse {id }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer_delete_response%20%3E%20(schema)>)

#### Zone TransfersTSIGs

##### [List TSIGs](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/list)

client.dns.zoneTransfers.tsigs.list(TSIGListParams {account\_id } params, RequestOptionsoptions?): SinglePage< [TSIG](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>) {id, algo, name, secret } >

GET/accounts/{account\_id}/secondary\_dns/tsigs

##### [TSIG Details](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/get)

client.dns.zoneTransfers.tsigs.get(stringtsigID, TSIGGetParams {account\_id } params, RequestOptionsoptions?): [TSIG](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>) {id, algo, name, secret }

GET/accounts/{account\_id}/secondary\_dns/tsigs/{tsig\_id}

##### [Create TSIG](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/create)

client.dns.zoneTransfers.tsigs.create(TSIGCreateParams {account\_id, algo, name, secret } params, RequestOptionsoptions?): [TSIG](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>) {id, algo, name, secret }

POST/accounts/{account\_id}/secondary\_dns/tsigs

##### [Update TSIG](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/update)

client.dns.zoneTransfers.tsigs.update(stringtsigID, TSIGUpdateParams {account\_id, algo, name, secret } params, RequestOptionsoptions?): [TSIG](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>) {id, algo, name, secret }

PUT/accounts/{account\_id}/secondary\_dns/tsigs/{tsig\_id}

##### [Delete TSIG](https://developers.cloudflare.com/api/typescript/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/delete)

client.dns.zoneTransfers.tsigs.delete(stringtsigID, TSIGDeleteParams {account\_id } params, RequestOptionsoptions?): [TSIGDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig_delete_response%20%3E%20(schema)>) {id }

DELETE/accounts/{account\_id}/secondary\_dns/tsigs/{tsig\_id}

##### ModelsExpand Collapse

<details>

<summary>

TSIG {id, algo, name, secret }

</summary>

id: string

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

algo: string

TSIG algorithm.

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)%20%3E%20(property)%20algo">Link to this property</a>

name: string

TSIG key name.

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

secret: string

TSIG secret.

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)%20%3E%20(property)%20secret">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>)

<details>

<summary>

TSIGDeleteResponse {id }

</summary>

id?: string

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig_delete_response%20%3E%20(schema)>)